<div class="col-md-6 offset-md-3 mt-5">
  <div class="row">
        <div class="align-items-center mb-1">
          <h3 class="text-center text-primary pt-5">Register form</h3>
          <div class="card-body">
            <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
                <div class="row mt-2 form-group">
                    <div class="col-md-6">
                      <label for="firstName" class="labels">Name</label>
                      <input type="text" class="form-control" placeholder="First Name" formControlName="firstName" id="firstName">
                      <app-field-error-message [control]="registerForm.get('firstName')"></app-field-error-message>
                    </div>
                    <div class="col-md-6">
                      <label for="lastName" class="labels">Surname</label>
                      <input type="text" class="form-control" formControlName="lastName" id="lastName" placeholder="Surname">
                      <app-field-error-message [control]="registerForm.get('lastName')"></app-field-error-message>
                    </div>
                </div>
                <div class="row mt-3 form-group">
                    <div class="col-md-12">
                      <label for="role" class="labels">Role</label>
                      <select  formControlName="role" id="Role" class="form-control dropdown">
                        <option *ngFor="let role of roles" [ngValue] = 'role'>
                          {{role}}
                        </option>
                      </select>
                    </div>
                    <div class="col-md-12 mt-3 form-group">
                      <label for="email" class="labels">Email</label>
                      <input type="text" class="form-control" formControlName="email" id="email" placeholder="Enter Email">
                      <app-field-error-message [control]="registerForm.get('email')"></app-field-error-message>
                    </div>
                    <div class="col-md-12 mt-3 form-group">
                      <label for="password" class="labels">Password</label>
                      <input type="password" class="form-control" formControlName="password" id="password" placeholder="Password">
                      <app-field-error-message [control]="registerForm.get('password')"></app-field-error-message>
                    </div>
                    <div class="col-md-12 mt-3 form-group">
                      <div class="container">
                        <div class="row">
                          <label for="password_confirmation" id="password_conf_lbl" class="labels">Confirm password: </label>
                          <input type="password" class="form-control col-md-9" formControlName="password_confirmation" id="password_confirmation" (keyup)="matchCheck()">
                          <svg *ngIf="registerForm.get('password_confirmation').dirty && passwordsMatch"  width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-check text-success col-md-3" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M10.97 4.97a.75.75 0 0 1 1.071 1.05l-3.992 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.236.236 0 0 1 .02-.022z"/>
                          </svg>
                          <svg *ngIf="!registerForm.get('password_confirmation').dirty" width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-exclamation-circle text-warning col-md-3" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                            <path d="M7.002 11a1 1 0 1 1 2 0 1 1 0 0 1-2 0zM7.1 4.995a.905.905 0 1 1 1.8 0l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 4.995z"/>
                          </svg>
                          <svg *ngIf="registerForm.get('password_confirmation').dirty && !passwordsMatch" width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-x-circle text-danger col-md-3" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                            <path fill-rule="evenodd" d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
                          </svg>
                        </div>
                      </div>
                      <app-field-error-message [control]="registerForm.get('password_confirmation')"></app-field-error-message>
                    </div>
                 </div>
                <div class="row mt-2">
                  <div class="mt-2 col-md-2 text-center">
                    <button class="btn btn-primary profile-button" type="submit" [disabled]="!registerForm.valid || !passwordsMatch">Submit</button>
                  </div>
                </div>
            </form>
        </div>
    </div>
</div>
